import { Config as Args } from '../config/argv';
export interface BundlerServer {
    start(): void;
}
export declare type BuildFn = (config: Args, dist: string) => void;
export declare type ServerFn = () => BundlerServer | Promise<BundlerServer>;
export interface BundlerConstructor {
    args: Args;
    server: ServerFn;
    build: BuildFn;
}
export interface ConfigObj {
    [key: string]: any;
}
export declare class Bundler {
    private readonly args;
    private server;
    private builder;
    constructor(params: BundlerConstructor);
    createApp(): Promise<BundlerServer>;
    build(): Promise<void>;
}
